<?php 
// this file contains the contents of the popup window
$wpdir = dirname(dirname(dirname(dirname(dirname(__FILE__)))));
include($wpdir.'/wp-load.php');
		
// Get default options
$pid = stripslashes( $_GET['pid'] );
$is_admin = ( $_GET['is_admin'] ) ? '1' : '0' ;
$fonts = get_post_meta( $pid, '_spp_spicon_fonts', true );
if( !empty( $fonts ) ) {
	$fa = spp_in_array_r( 'fa', $fonts ) ? 'fa' : '' ;
	$ti = spp_in_array_r( 'ti', $fonts ) ? 'ti' : '' ;
	$met = spp_in_array_r( 'met', $fonts ) ? 'met' : '' ;
	$oi = spp_in_array_r( 'oi', $fonts ) ? 'oi' : '' ;
}

wp_enqueue_script( 'adminajax', SPP_SPICON_DIR.'modules/js/adminajax.js', array('jquery'), false, true );
wp_enqueue_style( 'wp-color-picker' );
wp_enqueue_script(
    'iris',
    admin_url( 'js/iris.min.js' ),
    array( 'jquery-ui-draggable', 'jquery-ui-slider', 'jquery-touch-punch' ),
    false,
    1
);
wp_enqueue_script(
    'wp-color-picker',
    admin_url( 'js/color-picker.min.js' ),
    array( 'iris' ),
    false,
    1
);
$colorpicker_l10n = array(
    'clear' => __( 'Clear' ),
    'defaultString' => __( 'Default' ),
    'pick' => __( 'Select Color' )
);
wp_localize_script( 'wp-color-picker', 'wpColorPickerL10n', $colorpicker_l10n ); 

$params = array(
		'nonce' => wp_create_nonce('spp_spicon_dialog_form'),
		'is_admin' => $is_admin,
		'wp_url' => SPP_SPICON_WP_DIR
	);
?>
	<script type='text/javascript'>
	/* <![CDATA[ */
	var spp_spicon_object = <?php echo json_encode( $params ); ?>;
	/* ]]> */
	</script>
	<?php
?>
<html>
<head>
	<title><?php echo SPP_SPICON_PLUGIN_NAME; ?></title>
	<link type="text/css" rel="stylesheet" media="all" href="<?php echo SPP_SPICON_DIR; ?>modules/css/tinymce_button_dialog.css">
	<link rel="stylesheet" href="<?php echo SPP_SPICON_DIR; ?>modules/css/font-awesome-4.1.0/css/font-awesome.min.css">
	<link rel="stylesheet" href="<?php echo SPP_SPICON_DIR; ?>modules/css/typicons.font-2.0.4/typicons.min.css">
	<link rel="stylesheet" href="<?php echo SPP_SPICON_DIR; ?>modules/css/meteocons/stylesheet.css">
	<link rel="stylesheet" href="<?php echo SPP_SPICON_DIR; ?>modules/css/open-iconic-1.1.0/css/open-iconic.min.css">
	<?php wp_head(); ?>
</head>
<body>
	<form id="spp-spicon">
		<input type="hidden" name="postID" value="<?php echo $pid; ?>">
	<div id="spp_spicon_main_editor_dialog">
		<div id="icon-sets">
			<h3>Activate Icon Set</h3>
			<label><input type="checkbox" name="fontawesome" value="fa" class="fonts" id="fontawesome" <?php checked( $fa, 'fa', true ); ?>> Fontawesome</label> 
			<label><input type="checkbox" name="typicons" value="ti" class="fonts" id="typicons" <?php checked( $ti, 'ti', true ); ?>> Typicons</label> 
			<label><input type="checkbox" name="meteocons" value="met" class="fonts" id="meteocons" <?php checked( $met, 'met', true ); ?>> Meteocons</label> 
			<label><input type="checkbox" name="oiconic" value="oi" class="fonts" id="oiconic" <?php checked( $oi, 'oi', true ); ?>> Open Iconic</label> 
		</div>
		<div id="available-icons">
			<h3>Font Options</h3>
			<table>
				<tr>
					<td>
						<label>Enter font size: </label>
					</td>
					<td>
						<input type="text" id="fontSize" name="fontSize">				
					</td>
					<td>
						<label>Color: </label>
					</td>
					<td>
						<input type="text" id="fontColor" class="color-picker" name="fontColor">
					</td>
				</tr>
			</table>
			<?php if( $fa === 'fa' ) {
				spp_spicon_show_fa();
			}
			if( $ti === 'ti' ) {
				spp_spicon_show_ti();
			}
			if( $met === 'met') {
				spp_spicon_show_met();
			}
			if( $oi === 'oi' ) {
				spp_spicon_show_io();
			}
			?>
		</div>
	</div>
	</form>
	<script language="javascript" type="text/javascript" src="<?php echo SPP_SPICON_WP_DIR; ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<?php wp_footer(); ?>
</body>
</html>