<?php
/*
 * Add buttons to visual editor
 */
function spp_spicon_tmcebuttons($post) {
	
	// Don't bother if current user doesn't have permissions
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
	
	// Add only in rich editor mode
	if( get_user_option( 'rich_editing' ) == 'true' ) {
		global $typenow;
            if (empty($typenow) && !empty($_GET['post'])) {
                $post = get_post($_GET['post']);
                $typenow = $post->post_type;
			} elseif (empty($typenow) && !empty($_GET['post_type'])) {
                $typenow = $_GET['post_type'];
			}
	}
	//if( 'spp_elp_sales' == $typenow || 'spp_elp_optin' == $typenow ) {
		add_filter('mce_external_plugins', 'spp_spicon_buttons_mce_plugin');
		add_filter( 'mce_buttons', 'spp_spicon_add_tmce_buttons' );
	//}
}

function spp_spicon_add_tmce_buttons( $buttons ) {
    array_push( $buttons, '|', 'sppspiconbuttons' );
    return $buttons;
}
add_action( 'init', 'spp_spicon_tmcebuttons' );

/*
 * Bring in button
 */
function spp_spicon_buttons_mce_plugin( $plugins ) {
	$wpversion = get_bloginfo( 'version' );
// this plugin file will work the magic of our button
$plugins['sppspiconbuttons'] = SPP_SPICON_DIR . '/modules/js/spp-spicon-dialog.js';

return $plugins;
}

// TinyMCE dialog Ajax
add_action( 'wp_ajax_spp_spicon_do_ajax_request', 'spp_spicon_process_ajax' );
function spp_spicon_process_ajax() {
	global $post;
//print_r($_POST);
	// Verify
	if( !isset( $_POST['nonce'] ) || !wp_verify_nonce( $_POST['nonce'], 'spp_spicon_dialog_form' ) )
		die( 'Nonce not present or valid' );
	if( $_POST['is_admin'] != 1 )
		die( 'You do not have admin privileges to perform this action' );
	$postID = ( is_numeric( $_POST['postID'] ) ) ? $_POST['postID'] : '';

	$fonts = ( !empty( $_POST['fonts'] ) ) ? $_POST['fonts'] : '' ;
	//if( !empty( $fonts ) ) {
		// update meta with post array.
		update_post_meta( $postID, '_spp_spicon_fonts', $_POST['fonts'], '' );
	//}

	// Don't forget this or you'll get a 0 added to response
	die();
}
?>