<?php 
//Admin Post/Edit Screens
add_action( 'admin_enqueue_scripts', 'spp_spicon_admin_scripts' );
function spp_spicon_admin_scripts( $hook ) {
	global $post;
	if( $hook == 'post-new.php' || $hook == 'post.php' ) {
		// For TinyMCE
		wp_enqueue_style( 'spp-spicon-editor-font', SPP_SPICON_DIR.'/modules/css/fontello-ffd68489/css/spp_spicon.css' );
		wp_enqueue_script( 'wpdialogs' );
		wp_enqueue_style( 'wp-jquery-ui-dialog' );
		// Load fonts styles in tinymce
		add_filter( 'mce_css', 'spp_spicon_mce_css' );
		
	}
}

// Localize script for TinyMCE editor use
add_action( 'before_wp_tiny_mce', 'spp_spicon_localize_for_tinymce' );
function spp_spicon_localize_for_tinymce() {
	global $post;
	$params = array(
		'is_admin' => is_admin(),
		'pid' => $post->ID,
		'spp_spicon_dir' => SPP_SPICON_DIR,
		'spp_spicon_plugin_name' => SPP_SPICON_PLUGIN_NAME
	);
	?>
	<script type='text/javascript'>
	/* <![CDATA[ */
	var spp_spicon_object = <?php echo json_encode( $params ); ?>;
	/* ]]> */
	</script>
	<?php
}

// Load CSS styles in WYSIWYG editor
function spp_spicon_mce_css( $mce_css ) {
	global $post;
	if ( ! empty( $mce_css ) )
		$mce_css .= ',';

		$mce_css .= SPP_SPICON_DIR.'modules/css/font-awesome-4.1.0/css/font-awesome.min.css,';
		$mce_css .= SPP_SPICON_DIR.'modules/css/typicons.font-2.0.4/typicons.min.css,';
		$mce_css .= SPP_SPICON_DIR.'modules/css/meteocons/stylesheet.css,';
		$mce_css .= SPP_SPICON_DIR.'modules/css/open-iconic-1.1.0/css/open-iconic.min.css,';
	
	// Apply current theme stylesheet
	//$mcssce_css .= ','.get_stylesheet_uri();

	return $mce_css;
}

/* Enqueue styles on front end */
add_action( 'wp_enqueue_scripts', 'spp_spicon_enq_frontend' );
function spp_spicon_enq_frontend() {
	global $post;
	$fonts = get_post_meta( $post->ID, '_spp_spicon_fonts', true );
	
	if( spp_in_array_r( 'fa', $fonts ) ) {
		wp_enqueue_style( 'spp-spicon-fa', SPP_SPICON_DIR.'modules/css/font-awesome-4.1.0/css/font-awesome.min.css', false, false, 'all' );
	}
	if( spp_in_array_r( 'ti', $fonts ) ) {
		wp_enqueue_style( 'spp-spicon-ti', SPP_SPICON_DIR.'modules/css/typicons.font-2.0.4/typicons.min.css', false, false, 'all' );
	}
	if( spp_in_array_r( 'met', $fonts ) ) {
		wp_enqueue_style( 'spp-spicon-met', SPP_SPICON_DIR.'modules/css/meteocons/stylesheet.css', false, false, 'all' );
	}
	if( spp_in_array_r( 'oi', $fonts ) ) {
		wp_enqueue_style( 'spp-spicon-oi', SPP_SPICON_DIR.'modules/css/open-iconic-1.1.0/css/open-iconic.min.css', false, false, 'all' );
	}
}
?>