<?php 
add_action('admin_menu', 'spp_spicon_item_menu');
function spp_spicon_item_menu() {
	//add_submenu_page('edit.php?post_type=single_popover', 'Settings', 'Settings', 'edit_published_posts', 'bp_config', 'bp_config');
	global $spp_spicon_settings;

	// Options page with script/css loading on demand
	$spp_spicon_settings = add_options_page(SPP_SPICON_PLUGIN_NAME.' Settings', SPP_SPICON_PLUGIN_NAME, 'manage_options', 'spp_spicon_config', 'spp_spicon_config');
  	add_action( 'load-'.$spp_spicon_settings, 'spp_spicon_load_features' );
}

// Load features e.g. screen only scripts, contextual help
function spp_spicon_load_features() {
	global $spp_spicon_settings;
	$screen = get_current_screen();

	// Enqueue scripts if needed
	wp_enqueue_style( 'spp-spicon-admin', SPP_SPICON_DIR.'modules/css/admin.css', '', SPP_SPICON_VERSION, 'all' );

	// Load contextual help
	if( $screen->id != $spp_spicon_settings )
		return;

	// Remove default tabs
    $screen->remove_help_tabs();

	$screen->add_help_tab(array(
		'id' => 'spp-spv-help', // should be unique
		'title' => 'Special Intstruction',
		'content' => '<b>Yeah! Your help here</b>',
		// Use callback instead of 'content' 
		));
}

// WP Pointer Admin Tooltip - Make sure you use cookie to dismiss
add_action('admin_enqueue_scripts', 'spp_spicon_enqueue_pointer_scripts');
function spp_spicon_enqueue_pointer_scripts() {
	$dismissed = explode (',', get_user_meta (wp_get_current_user ()->ID, 'dismissed_wp_pointers', true));
    $not_in_array = !in_array ('spp_spicon_settings_dismiss', $dismissed);

    if( $not_in_array ) {
	    wp_enqueue_style('wp-pointer');
	    wp_enqueue_script('wp-pointer');
	    //hook the pointer 
	    add_action('admin_print_footer_scripts', 'spp_spicon_pointer_footer_scripts' );
	}
}
function spp_spicon_pointer_footer_scripts() {
    $pointer_content = '<h3>Template Plugin</h3>';
    $pointer_content .= '<p>Configure your settings here.</p>';
?>
   <script type="text/javascript">
   //<![CDATA[
   jQuery(document).ready( function($) {
    //jQuery selector to point to 
    $('#menu-settings').pointer({
        content: '<?php echo $pointer_content; ?>',
        position: 'top',
        close: function() {
            // This function is fired when you click the close button
            $.post (ajaxurl, {
		        pointer: 'spp_spicon_settings_dismiss',
		        action: 'dismiss-wp-pointer'
		    });
        }
      }).pointer('open');
   });
   //]]>
   </script>
<?php
}

add_action('admin_init', 'spp_spicon_settings_api_init');
function spp_spicon_settings_api_init() {
	//Add sections to add field later
	add_settings_section( 'spp_spicon_socialnetworks', 'Social network settings', 'spp_spicon_socialnetwork_settings', 'spp_spicon_settings_page' );

	// Add fields
	add_settings_field( 'spp_spicon_appid_fb', 'Facebook App ID', 'spp_spicon_fbappid_callback', 'spp_spicon_settings_page', 'spp_spicon_socialnetwork_settings' );

	//Register our setting
	register_setting( 'spp_spicon_settings_page', 'spp_spicon_options', $sanitize_callback = 'spp_spicon_sanitize_settings' );
} //End spp_spicon_settings_api_init

// Settings Section Callbacks
function spp_spicon_socialnetwork_settings() {
	?>
	Hello!
	<?php
}

// Settings Field Callbacks
function spp_spicon_fbappid_callback() {
	
}
// Validate input
function spp_spicon_validate_settings( $input ) {
	$spp_spicon_opts = get_option( 'spp_spicon_options' );
	$valid_input = $spp_spicon_opts;

	
	return $valid_input;
}

// Callback for screen output
function spp_spicon_config(){

?>
<div class="wrap">
<h2>Settings</h2>
<form method="POST" action="">
<?php
	//pass slug name of page, also referred to in Settings API as option group name
	settings_fields( 'spp_spicon_settings_page' );	
	do_settings_sections( 'spp_spicon_settings_page' ); 	//pass slug name of page
	submit_button();
?>
</form>
  
</div>
<?php 
}
?>